专栏首页python3CentOS 7下安装Python3.6

CentOS 7下安装Python3.6

•安装python3.6可能使用的依赖

yum install openssl-devel bzip2-devel expat-devel gdbm-devel readline-devel sqlite-devel

•到python官网找到下载路径, 用wget下载

wget https://www.python.org/ftp/python/3.6.4/Python-3.6.4.tgz

•解压tgz包

tar -zxvf Python-3.6.4.tgz

•把python移到/usr/local下面

mv Python-3.6.4 /usr/local

•删除旧版本的python依赖

ll /usr/bin | grep python

rm -rf /usr/bin/python

•进入python目录

cd /usr/local/Python-3.6.4/

•配置

./configure

•编译 make

make

•编译,安装

make install

•删除旧的软链接,创建新的软链接到最新的python

rm -rf /usr/bin/python

ln -s /usr/local/bin/python3.6 /usr/bin/python

python -V

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

我来说两句

0 条评论
登录 后参与评论

相关文章

  • Python3 与 Python2共存

    py3study
  • centos7下Python和pytho

    一、python3.7.3安装 1、下载对应的版本https://www.python.org/downloads/source/ 2、安装依赖的包 yum i...

    py3study
  • linux(CentOS)下升级pyth

    wget https://www.python.org/ftp/python/3.5.2/Python-3.5.2.tgz

    py3study
  • linux(CentOS)下升级pyth

    wget https://www.python.org/ftp/python/3.5.2/Python-3.5.2.tgz

    py3study
  • centos上安装 Python3x

    py3study
  • CentOS安装python3.6

    yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel r...

    听城
  • Centos7安装Python3.7(兼容Python2.7)

    Centos7下已自动安装Python2.7.5,but现在经常会出现Python2和Python3兼容使用的情况,所以我现在记录下安装过程。 上一篇文章我写...

    拓荒者
  • Linux安装python2.7

    試毅-思伟
  • Python无法使用curses库解决方案

    错误信息 ImportError: No module named '_curses' 运行环境 1.ubuntu 14.04 2.python 3.5 解决...

    木制robot
  • python3安装解决ssl问题

    使用yum命令报错File "/usr/bin/yum", line 30 except KeyboardInterrupt, e: 问题出现原因:

    py3study

扫码关注云+社区

领取腾讯云代金券